Patch  oval:org.mitre.oval:def:7654
DSA-1479 linux-2.6 -- several vulnerabilities  

Several local vulnerabilities have been discovered in the Linux kernel that may lead to a denial of service or the execution of arbitrary code. The Common Vulnerabilities and Exposures project identifies the following problems: Bart Oldeman reported a denial of service (DoS) issue in the VFAT filesystem that allows local users to corrupt a kernel structure resulting in a system crash. This is only an issue for systems which make use of the VFAT compat ioctl interface, such as systems running an "amd64" flavor kernel. Takashi Iwai supplied a fix for a memory leak in the snd_page_alloc module. Local users could exploit this issue to obtain sensitive information from the kernel. ADLAB discovered a possible memory overrun in the ISDN subsystem that may permit a local user to overwrite kernel memory by issuing ioctls with unterminated data. Bill Roman of Datalight noticed a coding error in the linux VFS subsystem that, under certain conditions, can allow local users to remove directories for which they should not have removal privileges. These problems have been fixed in the stable distribution in version 2.6.18.dfsg.1-17etch1. We recommend that you upgrade your kernel packages immediately and reboot the machine. If you have built a custom kernel from the kernel source package, you will need to rebuild to take advantage of these fixes.
Create Date: 2009-12-15 Last Update Date: 2014-06-23

Affected Platforms/Products

Affected Products (CPE + CVE references)
Platforms: unix (from OVAL definitions) Products: unix
  • Debian GNU/Linux 4.0
  • linux-2.6

References

Criteria

The patch should be installed
IF : All of the following are true
Prerequisites (Extended Definitions)
Debian GNU/Linux 4.0 is installed. oval:org.mitre.oval:def:6461
IF : Any one of the following are true Architecture section
IF : All of the following are true Supported platform section
IF : Installed architecture is hppa
Uname Test :  Installed architecture is hppa 
At least one of the objects listed below must exist on the system (Existence check)
Unix : uname Object The single uname object.
Output of "uname -a"
processor_type (equals) hppa
processor_type is hppa unix : uname_state 
IF : Any one of the following are true Packages section
IF : linux-headers-2.6-parisc64 is earlier than 2.6.18+6etch3
Linux : Debian DPKG Test :  linux-headers-2.6-parisc64 is earlier than 2.6.18+6etch3 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package linux-headers-2.6-parisc64 package information
linux-headers-2.6-parisc64
RPM Version less than 0:2.6.18+6etch3-0 (datatype=evr_string)
version is earlier than 0:2.6.18+6etch3-0 linux : dpkginfo_state 
IF : linux-image-2.6-parisc64 is earlier than 2.6.18+6etch3
Linux : Debian DPKG Test :  linux-image-2.6-parisc64 is earlier than 2.6.18+6etch3 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package linux-image-2.6-parisc64 package information
linux-image-2.6-parisc64
RPM Version less than 0:2.6.18+6etch3-0 (datatype=evr_string)
version is earlier than 0:2.6.18+6etch3-0 linux : dpkginfo_state 
IF : linux-image-2.6.18-6-parisc64 is earlier than 2.6.18.dfsg.1-17etch1
Linux : Debian DPKG Test :  linux-image-2.6.18-6-parisc64 is earlier than 2.6.18.dfsg.1-17etch1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package linux-image-2.6.18-6-parisc64 package information
linux-image-2.6.18-6-parisc64
RPM Version less than 0:2.6.18.dfsg.1-17etch1 (datatype=evr_string)
linux : dpkginfo_state 
IF : linux-headers-2.6.18-6-all is earlier than 2.6.18.dfsg.1-17etch1
Linux : Debian DPKG Test :  linux-headers-2.6.18-6-all is earlier than 2.6.18.dfsg.1-17etch1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package linux-headers-2.6.18-6-all package information
linux-headers-2.6.18-6-all
RPM Version less than 0:2.6.18.dfsg.1-17etch1 (datatype=evr_string)
linux : dpkginfo_state 
IF : linux-image-2.6.18-6-parisc64-smp is earlier than 2.6.18.dfsg.1-17etch1
Linux : Debian DPKG Test :  linux-image-2.6.18-6-parisc64-smp is earlier than 2.6.18.dfsg.1-17etch1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package linux-image-2.6.18-6-parisc64-smp package information
linux-image-2.6.18-6-parisc64-smp
RPM Version less than 0:2.6.18.dfsg.1-17etch1 (datatype=evr_string)
linux : dpkginfo_state 
IF : linux-headers-2.6-parisc-smp is earlier than 2.6.18+6etch3
Linux : Debian DPKG Test :  linux-headers-2.6-parisc-smp is earlier than 2.6.18+6etch3 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package linux-headers-2.6-parisc-smp package information
linux-headers-2.6-parisc-smp
RPM Version less than 0:2.6.18+6etch3-0 (datatype=evr_string)
version is earlier than 0:2.6.18+6etch3-0 linux : dpkginfo_state 
IF : linux-headers-2.6-parisc is earlier than 2.6.18+6etch3
Linux : Debian DPKG Test :  linux-headers-2.6-parisc is earlier than 2.6.18+6etch3 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package linux-headers-2.6-parisc package information
linux-headers-2.6-parisc
RPM Version less than 0:2.6.18+6etch3-0 (datatype=evr_string)
version is earlier than 0:2.6.18+6etch3-0 linux : dpkginfo_state 
IF : linux-image-parisc is earlier than 2.6.18+6etch3
Linux : Debian DPKG Test :  linux-image-parisc is earlier than 2.6.18+6etch3 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package linux-image-parisc package information
linux-image-parisc
RPM Version less than 0:2.6.18+6etch3-0 (datatype=evr_string)
version is earlier than 0:2.6.18+6etch3-0 linux : dpkginfo_state 
IF : linux-headers-2.6-parisc64-smp is earlier than 2.6.18+6etch3
Linux : Debian DPKG Test :  linux-headers-2.6-parisc64-smp is earlier than 2.6.18+6etch3 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package linux-headers-2.6-parisc64-smp package information
linux-headers-2.6-parisc64-smp
RPM Version less than 0:2.6.18+6etch3-0 (datatype=evr_string)
version is earlier than 0:2.6.18+6etch3-0 linux : dpkginfo_state 
IF : linux-image-2.6.18-6-parisc is earlier than 2.6.18.dfsg.1-17etch1
Linux : Debian DPKG Test :  linux-image-2.6.18-6-parisc is earlier than 2.6.18.dfsg.1-17etch1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package linux-image-2.6.18-6-parisc package information
linux-image-2.6.18-6-parisc
RPM Version less than 0:2.6.18.dfsg.1-17etch1 (datatype=evr_string)
linux : dpkginfo_state 
IF : linux-headers-2.6.18-6 is earlier than 2.6.18.dfsg.1-17etch1
Linux : Debian DPKG Test :  linux-headers-2.6.18-6 is earlier than 2.6.18.dfsg.1-17etch1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package linux-headers-2.6.18-6 package information
linux-headers-2.6.18-6
RPM Version less than 0:2.6.18.dfsg.1-17etch1 (datatype=evr_string)
linux : dpkginfo_state 
IF : linux-headers-2.6.18-6-parisc64-smp is earlier than 2.6.18.dfsg.1-17etch1
Linux : Debian DPKG Test :  linux-headers-2.6.18-6-parisc64-smp is earlier than 2.6.18.dfsg.1-17etch1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package linux-headers-2.6.18-6-parisc64-smp package information
linux-headers-2.6.18-6-parisc64-smp
RPM Version less than 0:2.6.18.dfsg.1-17etch1 (datatype=evr_string)
linux : dpkginfo_state 
IF : linux-image-2.6.18-6-parisc-smp is earlier than 2.6.18.dfsg.1-17etch1
Linux : Debian DPKG Test :  linux-image-2.6.18-6-parisc-smp is earlier than 2.6.18.dfsg.1-17etch1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package linux-image-2.6.18-6-parisc-smp package information
linux-image-2.6.18-6-parisc-smp
RPM Version less than 0:2.6.18.dfsg.1-17etch1 (datatype=evr_string)
linux : dpkginfo_state 
IF : linux-image-2.6-parisc-smp is earlier than 2.6.18+6etch3
Linux : Debian DPKG Test :  linux-image-2.6-parisc-smp is earlier than 2.6.18+6etch3 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package linux-image-2.6-parisc-smp package information
linux-image-2.6-parisc-smp
RPM Version less than 0:2.6.18+6etch3-0 (datatype=evr_string)
version is earlier than 0:2.6.18+6etch3-0 linux : dpkginfo_state 
IF : linux-image-parisc-smp is earlier than 2.6.18+6etch3
Linux : Debian DPKG Test :  linux-image-parisc-smp is earlier than 2.6.18+6etch3 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package linux-image-parisc-smp package information
linux-image-parisc-smp
RPM Version less than 0:2.6.18+6etch3-0 (datatype=evr_string)
version is earlier than 0:2.6.18+6etch3-0 linux : dpkginfo_state 
IF : linux-image-2.6-parisc is earlier than 2.6.18+6etch3
Linux : Debian DPKG Test :  linux-image-2.6-parisc is earlier than 2.6.18+6etch3 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package linux-image-2.6-parisc package information
linux-image-2.6-parisc
RPM Version less than 0:2.6.18+6etch3-0 (datatype=evr_string)
version is earlier than 0:2.6.18+6etch3-0 linux : dpkginfo_state 
IF : linux-headers-2.6.18-6-parisc64 is earlier than 2.6.18.dfsg.1-17etch1
Linux : Debian DPKG Test :  linux-headers-2.6.18-6-parisc64 is earlier than 2.6.18.dfsg.1-17etch1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package linux-headers-2.6.18-6-parisc64 package information
linux-headers-2.6.18-6-parisc64
RPM Version less than 0:2.6.18.dfsg.1-17etch1 (datatype=evr_string)
linux : dpkginfo_state 
IF : linux-headers-2.6.18-6-parisc is earlier than 2.6.18.dfsg.1-17etch1
Linux : Debian DPKG Test :  linux-headers-2.6.18-6-parisc is earlier than 2.6.18.dfsg.1-17etch1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package linux-headers-2.6.18-6-parisc package information
linux-headers-2.6.18-6-parisc
RPM Version less than 0:2.6.18.dfsg.1-17etch1 (datatype=evr_string)
linux : dpkginfo_state 
IF : linux-image-2.6-parisc64-smp is earlier than 2.6.18+6etch3
Linux : Debian DPKG Test :  linux-image-2.6-parisc64-smp is earlier than 2.6.18+6etch3 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package linux-image-2.6-parisc64-smp package information
linux-image-2.6-parisc64-smp
RPM Version less than 0:2.6.18+6etch3-0 (datatype=evr_string)
version is earlier than 0:2.6.18+6etch3-0 linux : dpkginfo_state 
IF : linux-image-parisc64-smp is earlier than 2.6.18+6etch3
Linux : Debian DPKG Test :  linux-image-parisc64-smp is earlier than 2.6.18+6etch3 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package linux-image-parisc64-smp package information
linux-image-parisc64-smp
RPM Version less than 0:2.6.18+6etch3-0 (datatype=evr_string)
version is earlier than 0:2.6.18+6etch3-0 linux : dpkginfo_state 
IF : linux-image-parisc64 is earlier than 2.6.18+6etch3
Linux : Debian DPKG Test :  linux-image-parisc64 is earlier than 2.6.18+6etch3 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package linux-image-parisc64 package information
linux-image-parisc64
RPM Version less than 0:2.6.18+6etch3-0 (datatype=evr_string)
version is earlier than 0:2.6.18+6etch3-0 linux : dpkginfo_state 
IF : linux-headers-2.6.18-6-parisc-smp is earlier than 2.6.18.dfsg.1-17etch1
Linux : Debian DPKG Test :  linux-headers-2.6.18-6-parisc-smp is earlier than 2.6.18.dfsg.1-17etch1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package linux-headers-2.6.18-6-parisc-smp package information
linux-headers-2.6.18-6-parisc-smp
RPM Version less than 0:2.6.18.dfsg.1-17etch1 (datatype=evr_string)
linux : dpkginfo_state 
IF : linux-headers-2.6.18-6-all-hppa is earlier than 2.6.18.dfsg.1-17etch1
Linux : Debian DPKG Test :  linux-headers-2.6.18-6-all-hppa is earlier than 2.6.18.dfsg.1-17etch1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package linux-headers-2.6.18-6-all-hppa package information
linux-headers-2.6.18-6-all-hppa
RPM Version less than 0:2.6.18.dfsg.1-17etch1 (datatype=evr_string)
linux : dpkginfo_state 
IF : All of the following are true Architecture dependent section
IF : Installed architecture is amd64
Uname Test :  Installed architecture is amd64 
At least one of the objects listed below must exist on the system (Existence check)
Unix : uname Object The single uname object.
Output of "uname -a"
processor_type (equals) x86-64
processor_type is x86-64 unix : uname_state 
IF : Any one of the following are true Packages section
IF : linux-image-amd64 is earlier than 2.6.18+6etch3
Linux : Debian DPKG Test :  linux-image-amd64 is earlier than 2.6.18+6etch3 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package linux-image-amd64 package information
linux-image-amd64
RPM Version less than 0:2.6.18+6etch3-0 (datatype=evr_string)
version is earlier than 0:2.6.18+6etch3-0 linux : dpkginfo_state 
IF : kernel-image-2.6-em64t-p4-smp is earlier than 2.6.18+6etch3
Linux : Debian DPKG Test :  kernel-image-2.6-em64t-p4-smp is earlier than 2.6.18+6etch3 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package kernel-image-2.6-em64t-p4-smp package information
kernel-image-2.6-em64t-p4-smp
RPM Version less than 0:2.6.18+6etch3-0 (datatype=evr_string)
version is earlier than 0:2.6.18+6etch3-0 linux : dpkginfo_state 
IF : linux-image-2.6-amd64 is earlier than 2.6.18+6etch3
Linux : Debian DPKG Test :  linux-image-2.6-amd64 is earlier than 2.6.18+6etch3 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package linux-image-2.6-amd64 package information
linux-image-2.6-amd64
RPM Version less than 0:2.6.18+6etch3-0 (datatype=evr_string)
version is earlier than 0:2.6.18+6etch3-0 linux : dpkginfo_state 
IF : linux-headers-2.6.18-6-vserver-amd64 is earlier than 2.6.18.dfsg.1-17etch1
Linux : Debian DPKG Test :  linux-headers-2.6.18-6-vserver-amd64 is earlier than 2.6.18.dfsg.1-17etch1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package linux-headers-2.6.18-6-vserver-amd64 package information
linux-headers-2.6.18-6-vserver-amd64
RPM Version less than 0:2.6.18.dfsg.1-17etch1 (datatype=evr_string)
linux : dpkginfo_state 
IF : linux-modules-2.6.18-6-xen-amd64 is earlier than 2.6.18.dfsg.1-17etch1
Linux : Debian DPKG Test :  linux-modules-2.6.18-6-xen-amd64 is earlier than 2.6.18.dfsg.1-17etch1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package linux-modules-2.6.18-6-xen-amd64 package information
linux-modules-2.6.18-6-xen-amd64
RPM Version less than 0:2.6.18.dfsg.1-17etch1 (datatype=evr_string)
linux : dpkginfo_state 
IF : linux-image-2.6-vserver-em64t-p4-smp is earlier than 2.6.18+6etch3
Linux : Debian DPKG Test :  linux-image-2.6-vserver-em64t-p4-smp is earlier than 2.6.18+6etch3 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package linux-image-2.6-vserver-em64t-p4-smp package information
linux-image-2.6-vserver-em64t-p4-smp
RPM Version less than 0:2.6.18+6etch3-0 (datatype=evr_string)
version is earlier than 0:2.6.18+6etch3-0 linux : dpkginfo_state 
IF : nvidia-kernel-legacy-2.6-amd64 is earlier than 1.0.7184+6etch2
Linux : Debian DPKG Test :  nvidia-kernel-legacy-2.6-amd64 is earlier than 1.0.7184+6etch2 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package nvidia-kernel-legacy-2.6-amd64 package information
nvidia-kernel-legacy-2.6-amd64
RPM Version less than 0:1.0.7184+6etch2-0 (datatype=evr_string)
version is earlier than 0:1.0.7184+6etch2-0 linux : dpkginfo_state 
IF : xen-linux-system-2.6.18-6-xen-amd64 is earlier than 2.6.18.dfsg.1-17etch1
Linux : Debian DPKG Test :  xen-linux-system-2.6.18-6-xen-amd64 is earlier than 2.6.18.dfsg.1-17etch1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package xen-linux-system-2.6.18-6-xen-amd64 package information
xen-linux-system-2.6.18-6-xen-amd64
RPM Version less than 0:2.6.18.dfsg.1-17etch1 (datatype=evr_string)
linux : dpkginfo_state 
IF : linux-headers-2.6.18-6-all is earlier than 2.6.18.dfsg.1-17etch1
Linux : Debian DPKG Test :  linux-headers-2.6.18-6-all is earlier than 2.6.18.dfsg.1-17etch1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package linux-headers-2.6.18-6-all package information
linux-headers-2.6.18-6-all
RPM Version less than 0:2.6.18.dfsg.1-17etch1 (datatype=evr_string)
linux : dpkginfo_state 
IF : kernel-image-2.6-amd64-generic is earlier than 2.6.18+6etch3
Linux : Debian DPKG Test :  kernel-image-2.6-amd64-generic is earlier than 2.6.18+6etch3 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package kernel-image-2.6-amd64-generic package information
kernel-image-2.6-amd64-generic
RPM Version less than 0:2.6.18+6etch3-0 (datatype=evr_string)
version is earlier than 0:2.6.18+6etch3-0 linux : dpkginfo_state 
IF : fai-kernels is earlier than 1.17+etch.17etch1
Linux : Debian DPKG Test :  fai-kernels is earlier than 1.17+etch.17etch1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package fai-kernels package information
fai-kernels
RPM Version less than 0:1.17+etch.17etch1-0 (datatype=evr_string)
version is earlier than 0:1.17+etch.17etch1-0 linux : dpkginfo_state 
IF : kernel-image-2.6-amd64-k8-smp is earlier than 2.6.18+6etch3
Linux : Debian DPKG Test :  kernel-image-2.6-amd64-k8-smp is earlier than 2.6.18+6etch3 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package kernel-image-2.6-amd64-k8-smp package information
kernel-image-2.6-amd64-k8-smp
RPM Version less than 0:2.6.18+6etch3-0 (datatype=evr_string)
version is earlier than 0:2.6.18+6etch3-0 linux : dpkginfo_state 
IF : linux-headers-2.6.18-6-xen is earlier than 2.6.18.dfsg.1-17etch1
Linux : Debian DPKG Test :  linux-headers-2.6.18-6-xen is earlier than 2.6.18.dfsg.1-17etch1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package linux-headers-2.6.18-6-xen package information
linux-headers-2.6.18-6-xen
RPM Version less than 0:2.6.18.dfsg.1-17etch1 (datatype=evr_string)
linux : dpkginfo_state 
IF : linux-headers-2.6.18-6-xen-vserver is earlier than 2.6.18.dfsg.1-17etch1
Linux : Debian DPKG Test :  linux-headers-2.6.18-6-xen-vserver is earlier than 2.6.18.dfsg.1-17etch1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package linux-headers-2.6.18-6-xen-vserver package information
linux-headers-2.6.18-6-xen-vserver
RPM Version less than 0:2.6.18.dfsg.1-17etch1 (datatype=evr_string)
linux : dpkginfo_state 
IF : nvidia-kernel-2.6.18-6-amd64 is earlier than 1.0.8776+6etch2
Linux : Debian DPKG Test :  nvidia-kernel-2.6.18-6-amd64 is earlier than 1.0.8776+6etch2 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package nvidia-kernel-2.6.18-6-amd64 package information
nvidia-kernel-2.6.18-6-amd64
RPM Version less than 0:1.0.8776+6etch2-0 (datatype=evr_string)
version is earlier than 0:1.0.8776+6etch2-0 linux : dpkginfo_state 
IF : linux-image-2.6-amd64-k8 is earlier than 2.6.18+6etch3
Linux : Debian DPKG Test :  linux-image-2.6-amd64-k8 is earlier than 2.6.18+6etch3 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package linux-image-2.6-amd64-k8 package information
linux-image-2.6-amd64-k8
RPM Version less than 0:2.6.18+6etch3-0 (datatype=evr_string)
version is earlier than 0:2.6.18+6etch3-0 linux : dpkginfo_state 
IF : linux-image-2.6-em64t-p4-smp is earlier than 2.6.18+6etch3
Linux : Debian DPKG Test :  linux-image-2.6-em64t-p4-smp is earlier than 2.6.18+6etch3 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package linux-image-2.6-em64t-p4-smp package information
linux-image-2.6-em64t-p4-smp
RPM Version less than 0:2.6.18+6etch3-0 (datatype=evr_string)
version is earlier than 0:2.6.18+6etch3-0 linux : dpkginfo_state 
IF : linux-headers-2.6.18-6-amd64 is earlier than 2.6.18.dfsg.1-17etch1
Linux : Debian DPKG Test :  linux-headers-2.6.18-6-amd64 is earlier than 2.6.18.dfsg.1-17etch1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package linux-headers-2.6.18-6-amd64 package information
linux-headers-2.6.18-6-amd64
RPM Version less than 0:2.6.18.dfsg.1-17etch1 (datatype=evr_string)
linux : dpkginfo_state 
IF : linux-image-2.6.18-6-amd64 is earlier than 2.6.18.dfsg.1-17etch1
Linux : Debian DPKG Test :  linux-image-2.6.18-6-amd64 is earlier than 2.6.18.dfsg.1-17etch1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package linux-image-2.6.18-6-amd64 package information
linux-image-2.6.18-6-amd64
RPM Version less than 0:2.6.18.dfsg.1-17etch1 (datatype=evr_string)
linux : dpkginfo_state 
IF : linux-headers-2.6.18-6-xen-vserver-amd64 is earlier than 2.6.18.dfsg.1-17etch1
Linux : Debian DPKG Test :  linux-headers-2.6.18-6-xen-vserver-amd64 is earlier than 2.6.18.dfsg.1-17etch1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package linux-headers-2.6.18-6-xen-vserver-amd64 package information
linux-headers-2.6.18-6-xen-vserver-amd64
RPM Version less than 0:2.6.18.dfsg.1-17etch1 (datatype=evr_string)
linux : dpkginfo_state 
IF : linux-headers-2.6.18-6-all-amd64 is earlier than 2.6.18.dfsg.1-17etch1
Linux : Debian DPKG Test :  linux-headers-2.6.18-6-all-amd64 is earlier than 2.6.18.dfsg.1-17etch1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package linux-headers-2.6.18-6-all-amd64 package information
linux-headers-2.6.18-6-all-amd64
RPM Version less than 0:2.6.18.dfsg.1-17etch1 (datatype=evr_string)
linux : dpkginfo_state 
IF : linux-image-xen-vserver-amd64 is earlier than 2.6.18+6etch3
Linux : Debian DPKG Test :  linux-image-xen-vserver-amd64 is earlier than 2.6.18+6etch3 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package linux-image-xen-vserver-amd64 package information
linux-image-xen-vserver-amd64
RPM Version less than 0:2.6.18+6etch3-0 (datatype=evr_string)
version is earlier than 0:2.6.18+6etch3-0 linux : dpkginfo_state 
IF : kernel-image-2.6-em64t-p4 is earlier than 2.6.18+6etch3
Linux : Debian DPKG Test :  kernel-image-2.6-em64t-p4 is earlier than 2.6.18+6etch3 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package kernel-image-2.6-em64t-p4 package information
kernel-image-2.6-em64t-p4
RPM Version less than 0:2.6.18+6etch3-0 (datatype=evr_string)
version is earlier than 0:2.6.18+6etch3-0 linux : dpkginfo_state 
IF : linux-image-2.6.18-6-vserver-amd64 is earlier than 2.6.18.dfsg.1-17etch1
Linux : Debian DPKG Test :  linux-image-2.6.18-6-vserver-amd64 is earlier than 2.6.18.dfsg.1-17etch1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package linux-image-2.6.18-6-vserver-amd64 package information
linux-image-2.6.18-6-vserver-amd64
RPM Version less than 0:2.6.18.dfsg.1-17etch1 (datatype=evr_string)
linux : dpkginfo_state 
IF : linux-image-2.6-em64t-p4 is earlier than 2.6.18+6etch3
Linux : Debian DPKG Test :  linux-image-2.6-em64t-p4 is earlier than 2.6.18+6etch3 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package linux-image-2.6-em64t-p4 package information
linux-image-2.6-em64t-p4
RPM Version less than 0:2.6.18+6etch3-0 (datatype=evr_string)
version is earlier than 0:2.6.18+6etch3-0 linux : dpkginfo_state 
IF : linux-image-2.6-vserver-amd64 is earlier than 2.6.18+6etch3
Linux : Debian DPKG Test :  linux-image-2.6-vserver-amd64 is earlier than 2.6.18+6etch3 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package linux-image-2.6-vserver-amd64 package information
linux-image-2.6-vserver-amd64
RPM Version less than 0:2.6.18+6etch3-0 (datatype=evr_string)
version is earlier than 0:2.6.18+6etch3-0 linux : dpkginfo_state 
IF : linux-headers-2.6-xen-amd64 is earlier than 2.6.18+6etch3
Linux : Debian DPKG Test :  linux-headers-2.6-xen-amd64 is earlier than 2.6.18+6etch3 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package linux-headers-2.6-xen-amd64 package information
linux-headers-2.6-xen-amd64
RPM Version less than 0:2.6.18+6etch3-0 (datatype=evr_string)
version is earlier than 0:2.6.18+6etch3-0 linux : dpkginfo_state 
IF : linux-image-xen-amd64 is earlier than 2.6.18+6etch3
Linux : Debian DPKG Test :  linux-image-xen-amd64 is earlier than 2.6.18+6etch3 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package linux-image-xen-amd64 package information
linux-image-xen-amd64
RPM Version less than 0:2.6.18+6etch3-0 (datatype=evr_string)
version is earlier than 0:2.6.18+6etch3-0 linux : dpkginfo_state 
IF : linux-image-vserver-amd64 is earlier than 2.6.18+6etch3
Linux : Debian DPKG Test :  linux-image-vserver-amd64 is earlier than 2.6.18+6etch3 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package linux-image-vserver-amd64 package information
linux-image-vserver-amd64
RPM Version less than 0:2.6.18+6etch3-0 (datatype=evr_string)
version is earlier than 0:2.6.18+6etch3-0 linux : dpkginfo_state 
IF : linux-image-2.6-amd64-generic is earlier than 2.6.18+6etch3
Linux : Debian DPKG Test :  linux-image-2.6-amd64-generic is earlier than 2.6.18+6etch3 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package linux-image-2.6-amd64-generic package information
linux-image-2.6-amd64-generic
RPM Version less than 0:2.6.18+6etch3-0 (datatype=evr_string)
version is earlier than 0:2.6.18+6etch3-0 linux : dpkginfo_state 
IF : nvidia-kernel-legacy-2.6.18-6-amd64 is earlier than 1.0.7184+6etch2
Linux : Debian DPKG Test :  nvidia-kernel-legacy-2.6.18-6-amd64 is earlier than 1.0.7184+6etch2 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package nvidia-kernel-legacy-2.6.18-6-amd64 package information
nvidia-kernel-legacy-2.6.18-6-amd64
RPM Version less than 0:1.0.7184+6etch2-0 (datatype=evr_string)
version is earlier than 0:1.0.7184+6etch2-0 linux : dpkginfo_state 
IF : xen-linux-system-2.6.18-6-xen-vserver-amd64 is earlier than 2.6.18.dfsg.1-17etch1
Linux : Debian DPKG Test :  xen-linux-system-2.6.18-6-xen-vserver-amd64 is earlier than 2.6.18.dfsg.1-17etch1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package xen-linux-system-2.6.18-6-xen-vserver-amd64 package information
xen-linux-system-2.6.18-6-xen-vserver-amd64
RPM Version less than 0:2.6.18.dfsg.1-17etch1 (datatype=evr_string)
linux : dpkginfo_state 
IF : linux-headers-2.6.18-6-xen-amd64 is earlier than 2.6.18.dfsg.1-17etch1
Linux : Debian DPKG Test :  linux-headers-2.6.18-6-xen-amd64 is earlier than 2.6.18.dfsg.1-17etch1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package linux-headers-2.6.18-6-xen-amd64 package information
linux-headers-2.6.18-6-xen-amd64
RPM Version less than 0:2.6.18.dfsg.1-17etch1 (datatype=evr_string)
linux : dpkginfo_state 
IF : linux-image-2.6.18-6-xen-vserver-amd64 is earlier than 2.6.18.dfsg.1-17etch1
Linux : Debian DPKG Test :  linux-image-2.6.18-6-xen-vserver-amd64 is earlier than 2.6.18.dfsg.1-17etch1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package linux-image-2.6.18-6-xen-vserver-amd64 package information
linux-image-2.6.18-6-xen-vserver-amd64
RPM Version less than 0:2.6.18.dfsg.1-17etch1 (datatype=evr_string)
linux : dpkginfo_state 
IF : linux-headers-2.6-vserver-amd64 is earlier than 2.6.18+6etch3
Linux : Debian DPKG Test :  linux-headers-2.6-vserver-amd64 is earlier than 2.6.18+6etch3 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package linux-headers-2.6-vserver-amd64 package information
linux-headers-2.6-vserver-amd64
RPM Version less than 0:2.6.18+6etch3-0 (datatype=evr_string)
version is earlier than 0:2.6.18+6etch3-0 linux : dpkginfo_state 
IF : linux-image-2.6.18-6-xen-amd64 is earlier than 2.6.18.dfsg.1-17etch1
Linux : Debian DPKG Test :  linux-image-2.6.18-6-xen-amd64 is earlier than 2.6.18.dfsg.1-17etch1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package linux-image-2.6.18-6-xen-amd64 package information
linux-image-2.6.18-6-xen-amd64
RPM Version less than 0:2.6.18.dfsg.1-17etch1 (datatype=evr_string)
linux : dpkginfo_state 
IF : linux-image-2.6-xen-vserver-amd64 is earlier than 2.6.18+6etch3
Linux : Debian DPKG Test :  linux-image-2.6-xen-vserver-amd64 is earlier than 2.6.18+6etch3 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package linux-image-2.6-xen-vserver-amd64 package information
linux-image-2.6-xen-vserver-amd64
RPM Version less than 0:2.6.18+6etch3-0 (datatype=evr_string)
version is earlier than 0:2.6.18+6etch3-0 linux : dpkginfo_state 
IF : linux-modules-2.6.18-6-xen-vserver-amd64 is earlier than 2.6.18.dfsg.1-17etch1
Linux : Debian DPKG Test :  linux-modules-2.6.18-6-xen-vserver-amd64 is earlier than 2.6.18.dfsg.1-17etch1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package linux-modules-2.6.18-6-xen-vserver-amd64 package information
linux-modules-2.6.18-6-xen-vserver-amd64
RPM Version less than 0:2.6.18.dfsg.1-17etch1 (datatype=evr_string)
linux : dpkginfo_state 
IF : nvidia-kernel-2.6-amd64 is earlier than 1.0.8776+6etch2
Linux : Debian DPKG Test :  nvidia-kernel-2.6-amd64 is earlier than 1.0.8776+6etch2 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package nvidia-kernel-2.6-amd64 package information
nvidia-kernel-2.6-amd64
RPM Version less than 0:1.0.8776+6etch2-0 (datatype=evr_string)
version is earlier than 0:1.0.8776+6etch2-0 linux : dpkginfo_state 
IF : linux-image-2.6-amd64-k8-smp is earlier than 2.6.18+6etch3
Linux : Debian DPKG Test :  linux-image-2.6-amd64-k8-smp is earlier than 2.6.18+6etch3 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package linux-image-2.6-amd64-k8-smp package information
linux-image-2.6-amd64-k8-smp
RPM Version less than 0:2.6.18+6etch3-0 (datatype=evr_string)
version is earlier than 0:2.6.18+6etch3-0 linux : dpkginfo_state 
IF : linux-headers-2.6.18-6-vserver is earlier than 2.6.18.dfsg.1-17etch1
Linux : Debian DPKG Test :  linux-headers-2.6.18-6-vserver is earlier than 2.6.18.dfsg.1-17etch1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package linux-headers-2.6.18-6-vserver package information
linux-headers-2.6.18-6-vserver
RPM Version less than 0:2.6.18.dfsg.1-17etch1 (datatype=evr_string)
linux : dpkginfo_state 
IF : linux-headers-2.6-amd64 is earlier than 2.6.18+6etch3
Linux : Debian DPKG Test :  linux-headers-2.6-amd64 is earlier than 2.6.18+6etch3 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package linux-headers-2.6-amd64 package information
linux-headers-2.6-amd64
RPM Version less than 0:2.6.18+6etch3-0 (datatype=evr_string)
version is earlier than 0:2.6.18+6etch3-0 linux : dpkginfo_state 
IF : linux-headers-2.6.18-6 is earlier than 2.6.18.dfsg.1-17etch1
Linux : Debian DPKG Test :  linux-headers-2.6.18-6 is earlier than 2.6.18.dfsg.1-17etch1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package linux-headers-2.6.18-6 package information
linux-headers-2.6.18-6
RPM Version less than 0:2.6.18.dfsg.1-17etch1 (datatype=evr_string)
linux : dpkginfo_state 
IF : linux-headers-2.6-xen-vserver-amd64 is earlier than 2.6.18+6etch3
Linux : Debian DPKG Test :  linux-headers-2.6-xen-vserver-amd64 is earlier than 2.6.18+6etch3 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package linux-headers-2.6-xen-vserver-amd64 package information
linux-headers-2.6-xen-vserver-amd64
RPM Version less than 0:2.6.18+6etch3-0 (datatype=evr_string)
version is earlier than 0:2.6.18+6etch3-0 linux : dpkginfo_state 
IF : kernel-image-2.6-amd64-k8 is earlier than 2.6.18+6etch3
Linux : Debian DPKG Test :  kernel-image-2.6-amd64-k8 is earlier than 2.6.18+6etch3 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package kernel-image-2.6-amd64-k8 package information
kernel-image-2.6-amd64-k8
RPM Version less than 0:2.6.18+6etch3-0 (datatype=evr_string)
version is earlier than 0:2.6.18+6etch3-0 linux : dpkginfo_state 
IF : linux-image-2.6-xen-amd64 is earlier than 2.6.18+6etch3
Linux : Debian DPKG Test :  linux-image-2.6-xen-amd64 is earlier than 2.6.18+6etch3 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package linux-image-2.6-xen-amd64 package information
linux-image-2.6-xen-amd64
RPM Version less than 0:2.6.18+6etch3-0 (datatype=evr_string)
version is earlier than 0:2.6.18+6etch3-0 linux : dpkginfo_state 
IF : linux-image-2.6-vserver-amd64-k8-smp is earlier than 2.6.18+6etch3
Linux : Debian DPKG Test :  linux-image-2.6-vserver-amd64-k8-smp is earlier than 2.6.18+6etch3 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package linux-image-2.6-vserver-amd64-k8-smp package information
linux-image-2.6-vserver-amd64-k8-smp
RPM Version less than 0:2.6.18+6etch3-0 (datatype=evr_string)
version is earlier than 0:2.6.18+6etch3-0 linux : dpkginfo_state 
IF : All of the following are true Architecture dependent section
IF : Installed architecture is s390
Uname Test :  Installed architecture is s390 
At least one of the objects listed below must exist on the system (Existence check)
Unix : uname Object The single uname object.
Output of "uname -a"
processor_type (equals) s390x
processor_type is s390x unix : uname_state 
IF : Any one of the following are true Packages section
IF : linux-headers-2.6.18-6-s390x is earlier than 2.6.18.dfsg.1-17etch1
Linux : Debian DPKG Test :  linux-headers-2.6.18-6-s390x is earlier than 2.6.18.dfsg.1-17etch1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package linux-headers-2.6.18-6-s390x package information
linux-headers-2.6.18-6-s390x
RPM Version less than 0:2.6.18.dfsg.1-17etch1 (datatype=evr_string)
linux : dpkginfo_state 
IF : linux-image-2.6.18-6-s390x is earlier than 2.6.18.dfsg.1-17etch1
Linux : Debian DPKG Test :  linux-image-2.6.18-6-s390x is earlier than 2.6.18.dfsg.1-17etch1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package linux-image-2.6.18-6-s390x package information
linux-image-2.6.18-6-s390x
RPM Version less than 0:2.6.18.dfsg.1-17etch1 (datatype=evr_string)
linux : dpkginfo_state 
IF : linux-image-2.6.18-6-vserver-s390x is earlier than 2.6.18.dfsg.1-17etch1
Linux : Debian DPKG Test :  linux-image-2.6.18-6-vserver-s390x is earlier than 2.6.18.dfsg.1-17etch1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package linux-image-2.6.18-6-vserver-s390x package information
linux-image-2.6.18-6-vserver-s390x
RPM Version less than 0:2.6.18.dfsg.1-17etch1 (datatype=evr_string)
linux : dpkginfo_state 
IF : linux-image-2.6-vserver-s390x is earlier than 2.6.18+6etch3
Linux : Debian DPKG Test :  linux-image-2.6-vserver-s390x is earlier than 2.6.18+6etch3 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package linux-image-2.6-vserver-s390x package information
linux-image-2.6-vserver-s390x
RPM Version less than 0:2.6.18+6etch3-0 (datatype=evr_string)
version is earlier than 0:2.6.18+6etch3-0 linux : dpkginfo_state 
IF : linux-headers-2.6.18-6-all is earlier than 2.6.18.dfsg.1-17etch1
Linux : Debian DPKG Test :  linux-headers-2.6.18-6-all is earlier than 2.6.18.dfsg.1-17etch1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package linux-headers-2.6.18-6-all package information
linux-headers-2.6.18-6-all
RPM Version less than 0:2.6.18.dfsg.1-17etch1 (datatype=evr_string)
linux : dpkginfo_state 
IF : linux-headers-2.6-vserver-s390x is earlier than 2.6.18+6etch3
Linux : Debian DPKG Test :  linux-headers-2.6-vserver-s390x is earlier than 2.6.18+6etch3 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package linux-headers-2.6-vserver-s390x package information
linux-headers-2.6-vserver-s390x
RPM Version less than 0:2.6.18+6etch3-0 (datatype=evr_string)
version is earlier than 0:2.6.18+6etch3-0 linux : dpkginfo_state 
IF : linux-headers-2.6.18-6-vserver-s390x is earlier than 2.6.18.dfsg.1-17etch1
Linux : Debian DPKG Test :  linux-headers-2.6.18-6-vserver-s390x is earlier than 2.6.18.dfsg.1-17etch1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package linux-headers-2.6.18-6-vserver-s390x package information
linux-headers-2.6.18-6-vserver-s390x
RPM Version less than 0:2.6.18.dfsg.1-17etch1 (datatype=evr_string)
linux : dpkginfo_state 
IF : linux-headers-2.6.18-6 is earlier than 2.6.18.dfsg.1-17etch1
Linux : Debian DPKG Test :  linux-headers-2.6.18-6 is earlier than 2.6.18.dfsg.1-17etch1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package linux-headers-2.6.18-6 package information
linux-headers-2.6.18-6
RPM Version less than 0:2.6.18.dfsg.1-17etch1 (datatype=evr_string)
linux : dpkginfo_state 
IF : linux-headers-2.6.18-6-all-s390 is earlier than 2.6.18.dfsg.1-17etch1
Linux : Debian DPKG Test :  linux-headers-2.6.18-6-all-s390 is earlier than 2.6.18.dfsg.1-17etch1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package linux-headers-2.6.18-6-all-s390 package information
linux-headers-2.6.18-6-all-s390
RPM Version less than 0:2.6.18.dfsg.1-17etch1 (datatype=evr_string)
linux : dpkginfo_state 
IF : linux-image-s390-tape is earlier than 2.6.18+6etch3
Linux : Debian DPKG Test :  linux-image-s390-tape is earlier than 2.6.18+6etch3 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package linux-image-s390-tape package information
linux-image-s390-tape
RPM Version less than 0:2.6.18+6etch3-0 (datatype=evr_string)
version is earlier than 0:2.6.18+6etch3-0 linux : dpkginfo_state 
IF : linux-image-s390 is earlier than 2.6.18+6etch3
Linux : Debian DPKG Test :  linux-image-s390 is earlier than 2.6.18+6etch3 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package linux-image-s390 package information
linux-image-s390
RPM Version less than 0:2.6.18+6etch3-0 (datatype=evr_string)
version is earlier than 0:2.6.18+6etch3-0 linux : dpkginfo_state 
IF : linux-headers-2.6.18-6-s390 is earlier than 2.6.18.dfsg.1-17etch1
Linux : Debian DPKG Test :  linux-headers-2.6.18-6-s390 is earlier than 2.6.18.dfsg.1-17etch1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package linux-headers-2.6.18-6-s390 package information
linux-headers-2.6.18-6-s390
RPM Version less than 0:2.6.18.dfsg.1-17etch1 (datatype=evr_string)
linux : dpkginfo_state 
IF : linux-image-2.6.18-6-s390-tape is earlier than 2.6.18.dfsg.1-17etch1
Linux : Debian DPKG Test :  linux-image-2.6.18-6-s390-tape is earlier than 2.6.18.dfsg.1-17etch1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package linux-image-2.6.18-6-s390-tape package information
linux-image-2.6.18-6-s390-tape
RPM Version less than 0:2.6.18.dfsg.1-17etch1 (datatype=evr_string)
linux : dpkginfo_state 
IF : kernel-image-2.6-s390 is earlier than 2.6.18+6etch3
Linux : Debian DPKG Test :  kernel-image-2.6-s390 is earlier than 2.6.18+6etch3 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package kernel-image-2.6-s390 package information
kernel-image-2.6-s390
RPM Version less than 0:2.6.18+6etch3-0 (datatype=evr_string)
version is earlier than 0:2.6.18+6etch3-0 linux : dpkginfo_state 
IF : linux-headers-2.6-s390 is earlier than 2.6.18+6etch3
Linux : Debian DPKG Test :  linux-headers-2.6-s390 is earlier than 2.6.18+6etch3 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package linux-headers-2.6-s390 package information
linux-headers-2.6-s390
RPM Version less than 0:2.6.18+6etch3-0 (datatype=evr_string)
version is earlier than 0:2.6.18+6etch3-0 linux : dpkginfo_state 
IF : linux-headers-2.6-s390x is earlier than 2.6.18+6etch3
Linux : Debian DPKG Test :  linux-headers-2.6-s390x is earlier than 2.6.18+6etch3 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package linux-headers-2.6-s390x package information
linux-headers-2.6-s390x
RPM Version less than 0:2.6.18+6etch3-0 (datatype=evr_string)
version is earlier than 0:2.6.18+6etch3-0 linux : dpkginfo_state 
IF : kernel-image-2.6-s390x is earlier than 2.6.18+6etch3
Linux : Debian DPKG Test :  kernel-image-2.6-s390x is earlier than 2.6.18+6etch3 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package kernel-image-2.6-s390x package information
kernel-image-2.6-s390x
RPM Version less than 0:2.6.18+6etch3-0 (datatype=evr_string)
version is earlier than 0:2.6.18+6etch3-0 linux : dpkginfo_state 
IF : linux-image-2.6-s390 is earlier than 2.6.18+6etch3
Linux : Debian DPKG Test :  linux-image-2.6-s390 is earlier than 2.6.18+6etch3 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package linux-image-2.6-s390 package information
linux-image-2.6-s390
RPM Version less than 0:2.6.18+6etch3-0 (datatype=evr_string)
version is earlier than 0:2.6.18+6etch3-0 linux : dpkginfo_state 
IF : linux-image-2.6-s390-tape is earlier than 2.6.18+6etch3
Linux : Debian DPKG Test :  linux-image-2.6-s390-tape is earlier than 2.6.18+6etch3 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package linux-image-2.6-s390-tape package information
linux-image-2.6-s390-tape
RPM Version less than 0:2.6.18+6etch3-0 (datatype=evr_string)
version is earlier than 0:2.6.18+6etch3-0 linux : dpkginfo_state 
IF : linux-image-s390x is earlier than 2.6.18+6etch3
Linux : Debian DPKG Test :  linux-image-s390x is earlier than 2.6.18+6etch3 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package linux-image-s390x package information
linux-image-s390x
RPM Version less than 0:2.6.18+6etch3-0 (datatype=evr_string)
version is earlier than 0:2.6.18+6etch3-0 linux : dpkginfo_state 
IF : linux-headers-2.6.18-6-vserver is earlier than 2.6.18.dfsg.1-17etch1
Linux : Debian DPKG Test :  linux-headers-2.6.18-6-vserver is earlier than 2.6.18.dfsg.1-17etch1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package linux-headers-2.6.18-6-vserver package information
linux-headers-2.6.18-6-vserver
RPM Version less than 0:2.6.18.dfsg.1-17etch1 (datatype=evr_string)
linux : dpkginfo_state 
IF : linux-image-2.6.18-6-s390 is earlier than 2.6.18.dfsg.1-17etch1
Linux : Debian DPKG Test :  linux-image-2.6.18-6-s390 is earlier than 2.6.18.dfsg.1-17etch1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package linux-image-2.6.18-6-s390 package information
linux-image-2.6.18-6-s390
RPM Version less than 0:2.6.18.dfsg.1-17etch1 (datatype=evr_string)
linux : dpkginfo_state 
IF : linux-image-2.6-s390x is earlier than 2.6.18+6etch3
Linux : Debian DPKG Test :  linux-image-2.6-s390x is earlier than 2.6.18+6etch3 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package linux-image-2.6-s390x package information
linux-image-2.6-s390x
RPM Version less than 0:2.6.18+6etch3-0 (datatype=evr_string)
version is earlier than 0:2.6.18+6etch3-0 linux : dpkginfo_state 
IF : linux-image-vserver-s390x is earlier than 2.6.18+6etch3
Linux : Debian DPKG Test :  linux-image-vserver-s390x is earlier than 2.6.18+6etch3 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package linux-image-vserver-s390x package information
linux-image-vserver-s390x
RPM Version less than 0:2.6.18+6etch3-0 (datatype=evr_string)
version is earlier than 0:2.6.18+6etch3-0 linux : dpkginfo_state 
IF : All of the following are true Architecture independent section
IF : Installed architecture is all
Uname Test :  Installed architecture is all 
At least one of the objects listed below must exist on the system (Existence check)
Unix : uname Object The single uname object.
Output of "uname -a"
IF : Any one of the following are true Packages section
IF : loop-aes-source is earlier than 3.1d-13etch2
Linux : Debian DPKG Test :  loop-aes-source is earlier than 3.1d-13etch2 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package loop-aes-source package information
loop-aes-source
RPM Version less than 0:3.1d-13etch2 (datatype=evr_string)
linux : dpkginfo_state 
IF : linux-doc-2.6.18 is earlier than 2.6.18.dfsg.1-17etch1
Linux : Debian DPKG Test :  linux-doc-2.6.18 is earlier than 2.6.18.dfsg.1-17etch1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package linux-doc-2.6.18 package information
linux-doc-2.6.18
RPM Version less than 0:2.6.18.dfsg.1-17etch1 (datatype=evr_string)
linux : dpkginfo_state 
IF : linux-support-2.6.18-6 is earlier than 2.6.18.dfsg.1-17etch1
Linux : Debian DPKG Test :  linux-support-2.6.18-6 is earlier than 2.6.18.dfsg.1-17etch1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package linux-support-2.6.18-6 package information
linux-support-2.6.18-6
RPM Version less than 0:2.6.18.dfsg.1-17etch1 (datatype=evr_string)
linux : dpkginfo_state 
IF : linux-patch-debian-2.6.18 is earlier than 2.6.18.dfsg.1-17etch1
Linux : Debian DPKG Test :  linux-patch-debian-2.6.18 is earlier than 2.6.18.dfsg.1-17etch1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package linux-patch-debian-2.6.18 package information
linux-patch-debian-2.6.18
RPM Version less than 0:2.6.18.dfsg.1-17etch1 (datatype=evr_string)
linux : dpkginfo_state 
IF : linux-source-2.6.18 is earlier than 2.6.18.dfsg.1-17etch1
Linux : Debian DPKG Test :  linux-source-2.6.18 is earlier than 2.6.18.dfsg.1-17etch1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package linux-source-2.6.18 package information
linux-source-2.6.18
RPM Version less than 0:2.6.18.dfsg.1-17etch1 (datatype=evr_string)
linux : dpkginfo_state 
IF : linux-manual-2.6.18 is earlier than 2.6.18.dfsg.1-17etch1
Linux : Debian DPKG Test :  linux-manual-2.6.18 is earlier than 2.6.18.dfsg.1-17etch1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package linux-manual-2.6.18 package information
linux-manual-2.6.18
RPM Version less than 0:2.6.18.dfsg.1-17etch1 (datatype=evr_string)
linux : dpkginfo_state 
IF : linux-tree-2.6.18 is earlier than 2.6.18.dfsg.1-17etch1
Linux : Debian DPKG Test :  linux-tree-2.6.18 is earlier than 2.6.18.dfsg.1-17etch1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package linux-tree-2.6.18 package information
linux-tree-2.6.18
RPM Version less than 0:2.6.18.dfsg.1-17etch1 (datatype=evr_string)
linux : dpkginfo_state 
IF : loop-aes-testsuite is earlier than 3.1d-13etch2
Linux : Debian DPKG Test :  loop-aes-testsuite is earlier than 3.1d-13etch2 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package loop-aes-testsuite package information
loop-aes-testsuite
RPM Version less than 0:3.1d-13etch2 (datatype=evr_string)
linux : dpkginfo_state 

Quick Help

evr_string datatype
Represents epoch, version, and release number as a single version string
Other Help Topics
Data Types
What is an Object?
What is a State?
What is a Test?
Other Help Topics
Regular Expression Patterns
Some object or state definitions are defined as regular expression patterns, you should interpret the regexp pattern while evaluating them.

OVAL Definitions By Referenced Objects

How does it work?   User agreement and privacy statement   About & Contact
CVE is a registred trademark of the MITRE Corporation and the authoritive source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritive source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritive source of OVAL content is MITRE's OVAL web site.
Warning: This site and all data are provided as is. It is not guaranteed that all information is accurate and complete. Use any information provided on this site at your own risk. By using this site you accept that you know that these data are provided as is and not guaranteed to be accurate, correct or complete. All trademarks appearing on this site are the property of their respective owners in the US or other countries. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss. PLEASE SEE nvd.nist.gov and oval.mitre.org for more details about OVAL language and definitions.
The information within this database may change without notice. Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. In no event shall the author/distributor/web site owner/maintainer be held liable for any damages whatsoever arising out of or in connection with the use or spread of this information.
Use of OVAL and all related data is subject to terms of use defined by Mitre at http://oval.mitre.org/oval/about/termsofuse.html